export baseDir=<<PATH_TO_BASEDIR>>
export project=<<PROJECTNAME>>
# screen -R $project


export DGE_HOME=/projects/bioinfo/holger/bioinfo_templates/dge_workflow
source $DGE_HOME/dge_utils.sh
export PATH=$DGE_HOME:$DGE_HOME/../misc/:$PATH


########################################################################################################################
### QC

dge_fastqc $(ls *fastq.gz) &


########################################################################################################################
### Trim low-quality bases and remove left-over adapters

mcdir $baseDir/trimmed

dge_cutadapt $(ls $baseDir/treps_pooled/*fastq.gz) 2>&1 | tee cutadapt.log

dge_fastqc $(ls *fastq.gz) &


########################################################################################################################
### Align the reads

mcdir $baseDir/mapped

fastqFiles=$(ls $baseDir/trimmed/*.fastq.gz)
igenome=<<<<TBD>>>>
## Example:
## igenome=/projects/bioinfo/igenomes/Canis_familiaris/Ensembl/CanFam3.1


dge_tophat_se -i $igenome $fastqFiles 2>&1 | tee mapped.log

mailme "$project: mapping done"


########################################################################################################################
### Basic Alginment QC and technical replicate grouping

mcdir $baseDir/trep_pooled


bio_reps=<<<biological replicates labels>>>
## Examples
# bio_reps=$(csvcut  -tc bio_sample  ../lanereps_pooled/renaming_scheme.txt |  tail -n+2 | sort -u | xargs echo | tr " " ",")
## bio_reps="ctrl,isnm1"

dge_merge_treps $baseDir/mapped/ $bio_reps


########################################################################################################################
### Do the differential expression analysis

mcdir $baseDir/cuffdiff

gtfFile=$igenome/Annotation/Genes/genes.gtf

## define labels to split bam files into replicate groups
#labels="big_cyst,small_cyst"
labels=<<<<TBD>>>>

dge_cuffdiff $gtfFile $baseDir/mapped $labels

mailme "$project: cuffdiff done"


mcdir $baseDir/cuffdiff/dge_report
#export DGE_PARAMS="-S"
spin.R $DGE_HOME/dge_analysis.R $baseDir/cuffdiff


########################################################################################################################
### Sync back to project space

# ... project specific stuff
screen -R rsync_$project

rsync -avsn --delete  $baseDir brandl@fileserver:/projects//project-sequencing-helin/rnaseq_cyst/results

mailme "$project: rsync done"

